# (Explorer Workshop)
# Copyright: 2024 Bradan Lane STUDIO
#
# Open Source License: MIT

'''
This Python program is a sample from the 'Python' workshop

Implementation Notes
--------------------
**Hardware:**
    * computer

**Software and Dependencies:**
    * Python 3.x
    * Thonny 4.x IDE

**Open Source Repository:**
    * GitLab: https://gitlab.com/bradanlane/exp_tutorial
    
'''

# constants
DAYSOFWEEK = ["Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"]
DAY_COUNT = 7 

# global
today = 0   # start on Monday


def start_weekend():
    today = 5 # set to Saturday
    print(f"skip forward to {DAYSOFWEEK[today]}")

def next_day(day):
    return (day + 1) % DAY_COUNT # advanced 'day' and wrap around at the end of the week

def is_weekend(day):
    if day > 4: # our variable is zero-based meaning sunday is 0, monday is 1, etc
        return True
    return False


start_weekend()
for day in range(0, DAY_COUNT):
    if is_weekend(today):
        print("It's the weekend! ", end="")
    print(f"today is {DAYSOFWEEK[today]}")
    today = next_day(today)
